%global vnum 1.6
#global rcnum rc1

Name: jq		
Version:	%{vnum}%{?rcnum}
Release:	1%{?dist}
Summary:	Command-line JSON processor

Group:		Applications/Text
License:	MIT
URL:		http://stedolan.github.io/jq/
BuildRequires: automake >= 1.14, flex, bison > 3.0

%description
jq is a lightweight and flexible command-line JSON processor.


%prep
%setup -q -c -n %{name}-%{version} -T

git clone -b jq-%{version} https://github.com/stedolan/jq.git ./ >& /dev/null
git submodule update --init >& /dev/null

%build
autoreconf -fi
%configure \
	--with-oniguruma=builtin \
	--disable-maintainer-mode

make %{?_smp_mflags} LDFLAGS=-all-static


%install
make install DESTDIR=%{buildroot}


%files
%defattr(0755,root, root, -)
%{_bindir}/*

%defattr(0644,root, root, -)
%{_mandir}/man1/*.1*

%changelog
* Sun Nov  4 2018 JoungKyun.Kim <hostmaster@oops.org> 1.6-1%{?dist}
- update 1.6

* Sun May 13 2018 JoungKyun.Kim <hostmaster@oops.org> 1.6rc1-1%{?dist}
- first packageed
